<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Greeting Based on Time of Day</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
            margin: 0;
            background-color: #f0f0f0;
        }
        .greeting {
            font-size: 2em;
            color: #333;
        }
    </style>
</head>
<body>
    <div class="greeting" id="greeting"></div>

    <script>
        function getGreeting() {
            const now = new Date();
            const hour = now.getHours();
            let greeting;

            if (hour >= 5 && hour < 12) {
                greeting = "Good Morning";
            } else if (hour >= 12 && hour < 18) {
                greeting = "Good Afternoon";
            } else if (hour >= 18 && hour < 21) {
                greeting = "Good Evening";
            } else {
                greeting = "Good Night";
            }

            return greeting;
        }

        document.getElementById('greeting').textContent = getGreeting();
    </script>
</body>
</html>
